#timing

#timing and tx/rx data io location constraints handled by ibert ip
#create_clock -period 8.000 -name gth224_clk0 -waveform {0.000 4.000} [get_ports gth224_clk0_p_i]
#create_clock -period 8.000 -name gth225_clk0 -waveform {0.000 4.000} [get_ports gth225_clk0_p_i]
#create_clock -period 8.000 -name gth226_clk0 -waveform {0.000 4.000} [get_ports gth226_clk0_p_i]
#create_clock -period 8.000 -name gth227_clk0 -waveform {0.000 4.000} [get_ports gth227_clk0_p_i]
#create_clock -period 8.000 -name gth228_clk0 -waveform {0.000 4.000} [get_ports gth228_clk0_p_i]
#create_clock -period 8.000 -name gth229_clk0 -waveform {0.000 4.000} [get_ports gth229_clk0_p_i]

create_clock -period 16.000 -name clk_pl_0 -waveform {0.000 8.000} [get_ports U_ps_core/ps_i/cmp_zynq/U0/pl_clk0]

#set_clock_groups -group [get_clocks gth224_clk0 -include_generated_clocks] -asynchronous
#set_clock_groups -group [get_clocks gth225_clk0 -include_generated_clocks] -asynchronous
#set_clock_groups -group [get_clocks gth226_clk0 -include_generated_clocks] -asynchronous
#set_clock_groups -group [get_clocks gth227_clk0 -include_generated_clocks] -asynchronous
#set_clock_groups -group [get_clocks gth228_clk0 -include_generated_clocks] -asynchronous
#set_clock_groups -group [get_clocks gth229_clk0 -include_generated_clocks] -asynchronous

#pins

##################################################################################
#bank 69, 1V8
##################################################################################

set_property PACKAGE_PIN A34 [get_ports fan1_present_i]
set_property IOSTANDARD LVCMOS18 [get_ports fan1_present_i]

set_property PACKAGE_PIN B35 [get_ports fan2_present_i]
set_property IOSTANDARD LVCMOS18 [get_ports fan2_present_i]

set_property PACKAGE_PIN B32 [get_ports wr_clk_p_i]
set_property IOSTANDARD LVDS [get_ports wr_clk_p_i]
#diff_term_adv replaces diff_term for ultrascale devices
set_property DIFF_TERM_ADV TERM_100 [get_ports wr_clk_p_i]	

set_property PACKAGE_PIN B33 [get_ports wr_clk_n_i]
set_property IOSTANDARD LVDS [get_ports wr_clk_n_i]
set_property DIFF_TERM_ADV TERM_100 [get_ports wr_clk_n_i]

set_property PACKAGE_PIN E32 [get_ports ref_clk_p_i]
set_property IOSTANDARD LVDS [get_ports ref_clk_p_i]
set_property DIFF_TERM_ADV TERM_100 [get_ports ref_clk_p_i]

set_property PACKAGE_PIN D32 [get_ports ref_clk_n_i]
set_property IOSTANDARD LVDS [get_ports ref_clk_n_i]
set_property DIFF_TERM_ADV TERM_100 [get_ports ref_clk_n_i]

set_property PACKAGE_PIN C30 [get_ports helper_clk_p_i]
set_property IOSTANDARD LVDS [get_ports helper_clk_p_i]
set_property DIFF_TERM_ADV TERM_100 [get_ports helper_clk_p_i]

set_property PACKAGE_PIN C31 [get_ports helper_clk_n_i]
set_property IOSTANDARD LVDS [get_ports helper_clk_n_i]
set_property DIFF_TERM_ADV TERM_100 [get_ports helper_clk_n_i]

set_property PACKAGE_PIN E31 [get_ports aux_clk_p_i]
set_property IOSTANDARD LVDS [get_ports aux_clk_p_i]
set_property DIFF_TERM_ADV TERM_100 [get_ports aux_clk_p_i]

set_property PACKAGE_PIN D31 [get_ports aux_clk_n_i]
set_property IOSTANDARD LVDS [get_ports aux_clk_n_i]
set_property DIFF_TERM_ADV TERM_100 [get_ports aux_clk_n_i]

set_property PACKAGE_PIN E29 [get_ports lcd_bbutton_1_i]
set_property IOSTANDARD LVCMOS18 [get_ports lcd_bbutton_1_i]

set_property PACKAGE_PIN F31 [get_ports lcd_bbutton_2_i]
set_property IOSTANDARD LVCMOS18 [get_ports lcd_bbutton_2_i]

##################################################################################
#bank 70, 1V8
##################################################################################

set_property PACKAGE_PIN A25 [get_ports psu_alert_1v8_i]
set_property IOSTANDARD LVCMOS18 [get_ports psu_alert_1v8_i]

set_property PACKAGE_PIN B27 [get_ports term_en_o]
set_property IOSTANDARD LVCMOS18 [get_ports term_en_o]

set_property PACKAGE_PIN A27 [get_ports pps_out_o]
set_property IOSTANDARD LVCMOS18 [get_ports pps_out_o]

set_property PACKAGE_PIN A28 [get_ports aux_out_o]
set_property IOSTANDARD LVCMOS18 [get_ports aux_out_o]

set_property PACKAGE_PIN C28 [get_ports pll_gm_csb_o]
set_property IOSTANDARD LVCMOS18 [get_ports pll_gm_csb_o]

set_property PACKAGE_PIN B28 [get_ports pll_gm_sdi_o]
set_property IOSTANDARD LVCMOS18 [get_ports pll_gm_sdi_o]

set_property PACKAGE_PIN D26 [get_ports pll_gm_sck_o]
set_property IOSTANDARD LVCMOS18 [get_ports pll_gm_sck_o]

set_property PACKAGE_PIN D24 [get_ports pll_gm_sync_o]
set_property IOSTANDARD LVCMOS18 [get_ports pll_gm_sync_o]

set_property PACKAGE_PIN F24 [get_ports hmc_sync_o]
set_property IOSTANDARD LVCMOS18 [get_ports hmc_sync_o]

set_property PACKAGE_PIN E24 [get_ports hmc_sdata_b]
set_property IOSTANDARD LVCMOS18 [get_ports hmc_sdata_b]

set_property PACKAGE_PIN D27 [get_ports hmc_slen_o]
set_property IOSTANDARD LVCMOS18 [get_ports hmc_slen_o]

set_property PACKAGE_PIN D28 [get_ports hmc_sclk_o]
set_property IOSTANDARD LVCMOS18 [get_ports hmc_sclk_o]

set_property PACKAGE_PIN E26 [get_ports hmc_reset_o]
set_property IOSTANDARD LVCMOS18 [get_ports hmc_reset_o]

set_property PACKAGE_PIN E27 [get_ports fmc_pwr_en_o]
set_property IOSTANDARD LVCMOS18 [get_ports fmc_pwr_en_o]

set_property PACKAGE_PIN F27 [get_ports fmc_pg_i]
set_property IOSTANDARD LVCMOS18 [get_ports fmc_pg_i]

set_property PACKAGE_PIN F25 [get_ports aux_clk_fpga_p_i]
set_property IOSTANDARD LVDS [get_ports aux_clk_fpga_p_i]
set_property DIFF_TERM_ADV TERM_100 [get_ports aux_clk_fpga_p_i]

set_property PACKAGE_PIN E25 [get_ports aux_clk_fpga_n_i]
set_property IOSTANDARD LVDS [get_ports aux_clk_fpga_n_i]
set_property DIFF_TERM_ADV TERM_100 [get_ports aux_clk_fpga_n_i]

set_property PACKAGE_PIN G26 [get_ports lmx_gm_clk_p_i]	
set_property IOSTANDARD LVDS [get_ports lmx_gm_clk_p_i]			
set_property DIFF_TERM_ADV TERM_100 [get_ports lmx_gm_clk_p_i]

set_property PACKAGE_PIN G27 [get_ports lmx_gm_clk_n_i]
set_property IOSTANDARD LVDS [get_ports lmx_gm_clk_n_i]
set_property DIFF_TERM_ADV TERM_100 [get_ports lmx_gm_clk_n_i]

set_property PACKAGE_PIN H24 [get_ports ext_gm_fpga_p_i]
set_property IOSTANDARD LVDS [get_ports ext_gm_fpga_p_i]
set_property DIFF_TERM_ADV TERM_100 [get_ports ext_gm_fpga_p_i]

set_property PACKAGE_PIN G25 [get_ports ext_gm_fpga_n_i]
set_property IOSTANDARD LVDS [get_ports ext_gm_fpga_n_i]
set_property DIFF_TERM_ADV TERM_100 [get_ports ext_gm_fpga_n_i]

set_property PACKAGE_PIN H25 [get_ports pll_oscout1_clk_p_i]
set_property IOSTANDARD LVDS [get_ports pll_oscout1_clk_p_i]
set_property DIFF_TERM_ADV TERM_100 [get_ports pll_oscout1_clk_p_i]

set_property PACKAGE_PIN H26 [get_ports pll_oscout1_clk_n_i]
set_property IOSTANDARD LVDS [get_ports pll_oscout1_clk_n_i]
set_property DIFF_TERM_ADV TERM_100 [get_ports pll_oscout1_clk_n_i]

#no net name on schematic
set_property PACKAGE_PIN N24 [get_ports gp_button_0_i]		
set_property IOSTANDARD LVCMOS18 [get_ports gp_button_0_i]

#no net name on schematic
set_property PACKAGE_PIN N26 [get_ports gp_button_1_i]		
set_property IOSTANDARD LVCMOS18 [get_ports gp_button_1_i]

##################################################################################
#bank 90, 3V3, HD
##################################################################################

set_property PACKAGE_PIN J13 [get_ports pps_in_i]
set_property IOSTANDARD LVCMOS33 [get_ports pps_in_i]

set_property PACKAGE_PIN J12 [get_ports gm_pwr_en_o]
set_property IOSTANDARD LVCMOS33 [get_ports gm_pwr_en_o]

set_property PACKAGE_PIN K14 [get_ports clk_100mhz_out_clk_sel_o]
set_property IOSTANDARD LVCMOS33 [get_ports clk_100mhz_out_clk_sel_o]

set_property PACKAGE_PIN J14 [get_ports gth_clk1_sel_o]
set_property IOSTANDARD LVCMOS33 [get_ports gth_clk1_sel_o]

set_property PACKAGE_PIN K11 [get_ports pll_gm_rampdir_o]
set_property IOSTANDARD LVCMOS33 [get_ports pll_gm_rampdir_o]

set_property PACKAGE_PIN K10 [get_ports pll_gm_rampclk_o]
set_property IOSTANDARD LVCMOS33 [get_ports pll_gm_rampclk_o]

set_property PACKAGE_PIN M10 [get_ports pll_gm_muxout_i]
set_property IOSTANDARD LVCMOS33 [get_ports pll_gm_muxout_i]

set_property PACKAGE_PIN L10 [get_ports pll_gm_sysrefreq_o]
set_property IOSTANDARD LVCMOS33 [get_ports pll_gm_sysrefreq_o]

set_property PACKAGE_PIN L14 [get_ports hmc_gpio1_b]
set_property IOSTANDARD LVCMOS33 [get_ports hmc_gpio1_b]

set_property PACKAGE_PIN L13 [get_ports hmc_gpio2_b]
set_property IOSTANDARD LVCMOS33 [get_ports hmc_gpio2_b]

#no net name on shematic
set_property PACKAGE_PIN L12 [get_ports oled_ctrl_i2c_scl_b]		
set_property IOSTANDARD LVCMOS33 [get_ports oled_ctrl_i2c_scl_b]

#no net name on shematic
set_property PACKAGE_PIN K12 [get_ports oled_ctrl_i2c_sda_b]		
set_property IOSTANDARD LVCMOS33 [get_ports oled_ctrl_i2c_sda_b]

set_property PACKAGE_PIN M12 [get_ports pll_clk_sel_o]
set_property IOSTANDARD LVCMOS33 [get_ports pll_clk_sel_o]

set_property PACKAGE_PIN M11 [get_ports dac_sync_n_o]
set_property IOSTANDARD LVCMOS33 [get_ports dac_sync_n_o]

set_property PACKAGE_PIN N13 [get_ports dac_din_o]
set_property IOSTANDARD LVCMOS33 [get_ports dac_din_o]

set_property PACKAGE_PIN M13 [get_ports dac_sclk_o]
set_property IOSTANDARD LVCMOS33 [get_ports dac_sclk_o]

set_property PACKAGE_PIN P14 [get_ports uart_rxd_i]
set_property IOSTANDARD LVCMOS33 [get_ports uart_rxd_i]

set_property PACKAGE_PIN N14 [get_ports uart_txd_o]
set_property IOSTANDARD LVCMOS33 [get_ports uart_txd_o]

set_property PACKAGE_PIN R14 [get_ports scl_aux_b]
set_property IOSTANDARD LVCMOS33 [get_ports scl_aux_b]

set_property PACKAGE_PIN P13 [get_ports sda_aux_b]
set_property IOSTANDARD LVCMOS33 [get_ports sda_aux_b]

set_property PACKAGE_PIN P12 [get_ports scl_helper_b]
set_property IOSTANDARD LVCMOS33 [get_ports scl_helper_b]

set_property PACKAGE_PIN N12 [get_ports sda_helper_b]
set_property IOSTANDARD LVCMOS33 [get_ports sda_helper_b]

set_property PACKAGE_PIN N11 [get_ports prsnt_m2c_l_i]
set_property IOSTANDARD LVCMOS33 [get_ports prsnt_m2c_l_i]

set_property PACKAGE_PIN N10 [get_ports pg_m2c_i]
set_property IOSTANDARD LVCMOS33 [get_ports pg_m2c_i]

##################################################################################
#bank 91, 3V3
##################################################################################

set_property PACKAGE_PIN A10 [get_ports rct_sfp_scl_b[0]]
set_property IOSTANDARD LVCMOS33 [get_ports rct_sfp_scl_b[0]]

set_property PACKAGE_PIN A9 [get_ports rt_sfp_sda_b[0]]
set_property IOSTANDARD LVCMOS33 [get_ports rt_sfp_sda_b[0]]

set_property PACKAGE_PIN B12 [get_ports lct_sfp_sda_b[0]]
set_property IOSTANDARD LVCMOS33 [get_ports lct_sfp_sda_b[0]]

set_property PACKAGE_PIN B11 [get_ports lct_sfp_scl_b[0]]
set_property IOSTANDARD LVCMOS33 [get_ports lct_sfp_scl_b[0]]

set_property PACKAGE_PIN C10 [get_ports rb_sfp_los_i[1]]
set_property IOSTANDARD LVCMOS33 [get_ports rb_sfp_los_i[1]]

set_property PACKAGE_PIN B10 [get_ports lcb_sfp_sda_b[0]]
set_property IOSTANDARD LVCMOS33 [get_ports lcb_sfp_sda_b[0]]

set_property PACKAGE_PIN D11 [get_ports rb_sfp_scl_b[0]]
set_property IOSTANDARD LVCMOS33 [get_ports rb_sfp_scl_b[0]]

set_property PACKAGE_PIN C11 [get_ports rct_sfp_sda_b[0]]
set_property IOSTANDARD LVCMOS33 [get_ports rct_sfp_sda_b[0]]

set_property PACKAGE_PIN E12 [get_ports lcb_sfp_scl_b[0]]
set_property IOSTANDARD LVCMOS33 [get_ports lcb_sfp_scl_b[0]]

set_property PACKAGE_PIN D12 [get_ports rcb_sfp_scl_b[0]]
set_property IOSTANDARD LVCMOS33 [get_ports rcb_sfp_scl_b[0]]

set_property PACKAGE_PIN E11 [get_ports rct_sfp_los_i[2]]
set_property IOSTANDARD LVCMOS33 [get_ports rct_sfp_los_i[2]]

set_property PACKAGE_PIN E10 [get_ports rcb_sfp_sda_b[0]]
set_property IOSTANDARD LVCMOS33 [get_ports rcb_sfp_sda_b[0]]

set_property PACKAGE_PIN F13 [get_ports lt_sfp_scl_b[0]]
set_property IOSTANDARD LVCMOS33 [get_ports lt_sfp_scl_b[0]]

set_property PACKAGE_PIN F12 [get_ports lb_sfp_sda_b[0]]
set_property IOSTANDARD LVCMOS33 [get_ports lb_sfp_sda_b[0]]

set_property PACKAGE_PIN G10 [get_ports lb_sfp_scl_b[0]]
set_property IOSTANDARD LVCMOS33 [get_ports lb_sfp_scl_b[0]]

set_property PACKAGE_PIN F10 [get_ports lt_sfp_sda_b[0]]
set_property IOSTANDARD LVCMOS33 [get_ports lt_sfp_sda_b[0]]

set_property PACKAGE_PIN H14 [get_ports lt_sfp_los_i[0]]
set_property IOSTANDARD LVCMOS33 [get_ports lt_sfp_los_i[0]]

set_property PACKAGE_PIN G13 [get_ports rt_sfp_sda_b[2]]
set_property IOSTANDARD LVCMOS33 [get_ports rt_sfp_sda_b[2]]

set_property PACKAGE_PIN H13 [get_ports lb_sfp_los_i[0]]
set_property IOSTANDARD LVCMOS33 [get_ports lb_sfp_los_i[0]]

set_property PACKAGE_PIN G12 [get_ports rcb_sfp_los_i[2]]
set_property IOSTANDARD LVCMOS33 [get_ports rcb_sfp_los_i[2]]

set_property PACKAGE_PIN H11 [get_ports lcb_sfp_los_i[0]]
set_property IOSTANDARD LVCMOS33 [get_ports lcb_sfp_los_i[0]]

set_property PACKAGE_PIN G11 [get_ports lct_sfp_los_i[0]]
set_property IOSTANDARD LVCMOS33 [get_ports lct_sfp_los_i[0]]

set_property PACKAGE_PIN J11 [get_ports rt_sfp_los_i[2]]
set_property IOSTANDARD LVCMOS33 [get_ports rt_sfp_los_i[2]]

set_property PACKAGE_PIN H10 [get_ports rb_sfp_los_i[2]]
set_property IOSTANDARD LVCMOS33 [get_ports rb_sfp_los_i[2]]

##################################################################################
#bank 93, 3V3
##################################################################################

set_property PACKAGE_PIN D9 [get_ports rb_sfp_los_i[0]]
set_property IOSTANDARD LVCMOS33 [get_ports rb_sfp_los_i[0]]

set_property PACKAGE_PIN C9 [get_ports lb_sfp_scl_b[1]]
set_property IOSTANDARD LVCMOS33 [get_ports lb_sfp_scl_b[1]]

set_property PACKAGE_PIN B8 [get_ports rt_sfp_scl_b[0]]
set_property IOSTANDARD LVCMOS33 [get_ports rt_sfp_scl_b[0]]

set_property PACKAGE_PIN A8 [get_ports rb_sfp_sda_b[0]]
set_property IOSTANDARD LVCMOS33 [get_ports rb_sfp_sda_b[0]]

set_property PACKAGE_PIN B7 [get_ports rct_sfp_los_i[0]]
set_property IOSTANDARD LVCMOS33 [get_ports rct_sfp_los_i[0]]

set_property PACKAGE_PIN A7 [get_ports lt_sfp_scl_b[1]]
set_property IOSTANDARD LVCMOS33 [get_ports lt_sfp_scl_b[1]]

set_property PACKAGE_PIN E6 [get_ports lt_sfp_sda_b[2]]
set_property IOSTANDARD LVCMOS33 [get_ports lt_sfp_sda_b[2]]

set_property PACKAGE_PIN D6 [get_ports rcb_sfp_scl_b[1]]
set_property IOSTANDARD LVCMOS33 [get_ports rcb_sfp_scl_b[1]]

set_property PACKAGE_PIN D8 [get_ports lcb_sfp_scl_b[1]]
set_property IOSTANDARD LVCMOS33 [get_ports lcb_sfp_scl_b[1]]

set_property PACKAGE_PIN C8 [get_ports lt_sfp_sda_b[1]]
set_property IOSTANDARD LVCMOS33 [get_ports lt_sfp_sda_b[1]]

set_property PACKAGE_PIN E7 [get_ports lct_sfp_sda_b[1]]
set_property IOSTANDARD LVCMOS33 [get_ports lct_sfp_sda_b[1]]

set_property PACKAGE_PIN D7 [get_ports lb_sfp_sda_b[1]]
set_property IOSTANDARD LVCMOS33 [get_ports lb_sfp_sda_b[1]]

set_property PACKAGE_PIN G8 [get_ports rb_sfp_scl_b[2]]
set_property IOSTANDARD LVCMOS33 [get_ports rb_sfp_scl_b[2]]

set_property PACKAGE_PIN F8 [get_ports rcb_sfp_scl_b[2]]
set_property IOSTANDARD LVCMOS33 [get_ports rcb_sfp_scl_b[2]]

set_property PACKAGE_PIN G7 [get_ports rct_sfp_sda_b[2]]
set_property IOSTANDARD LVCMOS33 [get_ports rct_sfp_sda_b[2]]

set_property PACKAGE_PIN F7 [get_ports rb_sfp_sda_b[2]]
set_property IOSTANDARD LVCMOS33 [get_ports rb_sfp_sda_b[2]]

set_property PACKAGE_PIN F9 [get_ports lt_sfp_los_i[1]]
set_property IOSTANDARD LVCMOS33 [get_ports lt_sfp_los_i[1]]

set_property PACKAGE_PIN E9 [get_ports lcb_sfp_scl_b[2]]
set_property IOSTANDARD LVCMOS33 [get_ports lcb_sfp_scl_b[2]]

set_property PACKAGE_PIN J9 [get_ports lb_sfp_los_i[1]]
set_property IOSTANDARD LVCMOS33 [get_ports lb_sfp_los_i[1]]

set_property PACKAGE_PIN H9 [get_ports rct_sfp_los_i[1]]
set_property IOSTANDARD LVCMOS33 [get_ports rct_sfp_los_i[1]]

set_property PACKAGE_PIN J8 [get_ports lcb_sfp_los_i[1]]
set_property IOSTANDARD LVCMOS33 [get_ports lcb_sfp_los_i[1]]

set_property PACKAGE_PIN H8 [get_ports lct_sfp_los_i[1]]
set_property IOSTANDARD LVCMOS33 [get_ports lct_sfp_los_i[1]]

set_property PACKAGE_PIN G6 [get_ports rcb_sfp_los_i[1]]
set_property IOSTANDARD LVCMOS33 [get_ports rcb_sfp_los_i[1]]

set_property PACKAGE_PIN F6 [get_ports rt_sfp_los_i[1]]
set_property IOSTANDARD LVCMOS33 [get_ports rt_sfp_los_i[1]]

##################################################################################
#bank 94, 3V3
##################################################################################

set_property PACKAGE_PIN A5 [get_ports lcb_sfp_sda_b[1]]
set_property IOSTANDARD LVCMOS33 [get_ports lcb_sfp_sda_b[1]]

set_property PACKAGE_PIN A4 [get_ports rct_sfp_sda_b[1]]
set_property IOSTANDARD LVCMOS33 [get_ports rct_sfp_sda_b[1]]

set_property PACKAGE_PIN B6 [get_ports rt_sfp_los_i[0]]
set_property IOSTANDARD LVCMOS33 [get_ports rt_sfp_los_i[0]]

set_property PACKAGE_PIN B5 [get_ports rct_sfp_scl_b[1]]
set_property IOSTANDARD LVCMOS33 [get_ports rct_sfp_scl_b[1]]

set_property PACKAGE_PIN B3 [get_ports rb_sfp_sda_b[1]]
set_property IOSTANDARD LVCMOS33 [get_ports rb_sfp_sda_b[1]]

set_property PACKAGE_PIN A3 [get_ports rb_sfp_scl_b[1]]
set_property IOSTANDARD LVCMOS33 [get_ports rb_sfp_scl_b[1]]

set_property PACKAGE_PIN B2 [get_ports rt_sfp_sda_b[1]]
set_property IOSTANDARD LVCMOS33 [get_ports rt_sfp_sda_b[1]]

set_property PACKAGE_PIN B1 [get_ports rt_sfp_scl_b[1]]
set_property IOSTANDARD LVCMOS33 [get_ports rt_sfp_scl_b[1]]

set_property PACKAGE_PIN C4 [get_ports rcb_sfp_sda_b[1]]
set_property IOSTANDARD LVCMOS33 [get_ports rcb_sfp_sda_b[1]]

set_property PACKAGE_PIN C3 [get_ports lb_sfp_scl_b[2]]
set_property IOSTANDARD LVCMOS33 [get_ports lb_sfp_scl_b[2]]

set_property PACKAGE_PIN C6 [get_ports lct_sfp_scl_b[1]]
set_property IOSTANDARD LVCMOS33 [get_ports lct_sfp_scl_b[1]]

set_property PACKAGE_PIN C5 [get_ports rcb_sfp_sda_b[2]]
set_property IOSTANDARD LVCMOS33 [get_ports rcb_sfp_sda_b[2]]

set_property PACKAGE_PIN D2 [get_ports lb_sfp_sda_b[2]]
set_property IOSTANDARD LVCMOS33 [get_ports lb_sfp_sda_b[2]]

set_property PACKAGE_PIN C1 [get_ports lt_sfp_scl_b[2]]
set_property IOSTANDARD LVCMOS33 [get_ports lt_sfp_scl_b[2]]

set_property PACKAGE_PIN D4 [get_ports rct_sfp_scl_b[2]]
set_property IOSTANDARD LVCMOS33 [get_ports rct_sfp_scl_b[2]]

set_property PACKAGE_PIN D3 [get_ports rcb_sfp_los_i[0]]
set_property IOSTANDARD LVCMOS33 [get_ports rcb_sfp_los_i[0]]

set_property PACKAGE_PIN E1 [get_ports lt_sfp_los_i[2]]
set_property IOSTANDARD LVCMOS33 [get_ports lt_sfp_los_i[2]]

set_property PACKAGE_PIN D1 [get_ports lct_sfp_scl_b[2]]
set_property IOSTANDARD LVCMOS33 [get_ports lct_sfp_scl_b[2]]

set_property PACKAGE_PIN E3 [get_ports lb_sfp_los_i[2]]
set_property IOSTANDARD LVCMOS33 [get_ports lb_sfp_los_i[2]]

set_property PACKAGE_PIN E2 [get_ports lcb_sfp_sda_b[2]]
set_property IOSTANDARD LVCMOS33 [get_ports lcb_sfp_sda_b[2]]

set_property PACKAGE_PIN E5 [get_ports lcb_sfp_los_i[2]]
set_property IOSTANDARD LVCMOS33 [get_ports lcb_sfp_los_i[2]]

set_property PACKAGE_PIN E4 [get_ports lct_sfp_los_i[2]]
set_property IOSTANDARD LVCMOS33 [get_ports lct_sfp_los_i[2]]

set_property PACKAGE_PIN F5 [get_ports rt_sfp_scl_b[2]]
set_property IOSTANDARD LVCMOS33 [get_ports rt_sfp_scl_b[2]]

set_property PACKAGE_PIN F4 [get_ports lct_sfp_sda_b[2]]
set_property IOSTANDARD LVCMOS33 [get_ports lct_sfp_sda_b[2]]

##################################################################################
#bank 65, 1V8, HP
##################################################################################

set_property PACKAGE_PIN AJ24 [get_ports rb_sfp_led_mode_o[0]]
set_property IOSTANDARD LVCMOS18 [get_ports rb_sfp_led_mode_o[0]]

set_property PACKAGE_PIN AK24 [get_ports rt_sfp_led_mode_o[0]]
set_property IOSTANDARD LVCMOS18 [get_ports rt_sfp_led_mode_o[0]]

set_property PACKAGE_PIN AK23 [get_ports rt_sfp_led_synced_o[0]]
set_property IOSTANDARD LVCMOS18 [get_ports rt_sfp_led_synced_o[0]]

set_property PACKAGE_PIN AL23 [get_ports rb_sfp_led_link_o[2]]
set_property IOSTANDARD LVCMOS18 [get_ports rb_sfp_led_link_o[2]]

set_property PACKAGE_PIN AM23 [get_ports rt_sfp_led_activity_o[2]]
set_property IOSTANDARD LVCMOS18 [get_ports rt_sfp_led_activity_o[2]]

set_property PACKAGE_PIN AV24 [get_ports rt_sfp_led_link_o[2]]
set_property IOSTANDARD LVCMOS18 [get_ports rt_sfp_led_link_o[2]]

set_property PACKAGE_PIN BA27 [get_ports rb_sfp_tx_disable_o[2]]
set_property IOSTANDARD LVCMOS18 [get_ports rb_sfp_tx_disable_o[2]]

set_property PACKAGE_PIN AW25 [get_ports rt_sfp_tx_disable_o[2]]
set_property IOSTANDARD LVCMOS18 [get_ports rt_sfp_tx_disable_o[2]]

set_property PACKAGE_PIN BB28 [get_ports rb_sfp_tx_fault_i[2]]
set_property IOSTANDARD LVCMOS18 [get_ports rb_sfp_tx_fault_i[2]]

set_property PACKAGE_PIN BA26 [get_ports rb_sfp_detect_i[2]]
set_property IOSTANDARD LVCMOS18 [get_ports rb_sfp_detect_i[2]]

set_property PACKAGE_PIN BB26 [get_ports rt_sfp_detect_i[2]]
set_property IOSTANDARD LVCMOS18 [get_ports rt_sfp_detect_i[2]]

set_property PACKAGE_PIN AY25 [get_ports rcb_sfp_tx_disable_o[2]]
set_property IOSTANDARD LVCMOS18 [get_ports rcb_sfp_tx_disable_o[2]]

set_property PACKAGE_PIN BA25 [get_ports rcb_sfp_tx_fault_i[2]]
set_property IOSTANDARD LVCMOS18 [get_ports rcb_sfp_tx_fault_i[2]]

set_property PACKAGE_PIN BB24 [get_ports rct_sfp_detect_i[2]]
set_property IOSTANDARD LVCMOS18 [get_ports rct_sfp_detect_i[2]]

set_property PACKAGE_PIN BB25 [get_ports rt_sfp_tx_fault_i[2]]
set_property IOSTANDARD LVCMOS18 [get_ports rt_sfp_tx_fault_i[2]]

set_property PACKAGE_PIN AW24 [get_ports rct_sfp_tx_disable_o[2]]
set_property IOSTANDARD LVCMOS18 [get_ports rct_sfp_tx_disable_o[2]]

set_property PACKAGE_PIN Ay24 [get_ports rcb_sfp_detect_i[2]]
set_property IOSTANDARD LVCMOS18 [get_ports rcb_sfp_detect_i[2]]

##################################################################################
#bank 66, 1V8, HP
##################################################################################

set_property PACKAGE_PIN AN16 [get_ports lb_sfp_tx_disable_o[0]]
set_property IOSTANDARD LVCMOS18 [get_ports lb_sfp_tx_disable_o[0]]

set_property PACKAGE_PIN AP16 [get_ports lct_sfp_tx_fault_i[0]]
set_property IOSTANDARD LVCMOS18 [get_ports lct_sfp_tx_fault_i[0]]

set_property PACKAGE_PIN AL16 [get_ports lt_sfp_tx_disable_o[0]]
set_property IOSTANDARD LVCMOS18 [get_ports lt_sfp_tx_disable_o[0]]

set_property PACKAGE_PIN AM16 [get_ports lt_sfp_detect_i[0]]
set_property IOSTANDARD LVCMOS18 [get_ports lt_sfp_detect_i[0]]

set_property PACKAGE_PIN AJ17 [get_ports lb_sfp_led_activity_o[1]]
set_property IOSTANDARD LVCMOS18 [get_ports lb_sfp_led_activity_o[1]]

set_property PACKAGE_PIN AK17 [get_ports lt_sfp_led_activity_o[1]]
set_property IOSTANDARD LVCMOS18 [get_ports lt_sfp_led_activity_o[1]]

set_property PACKAGE_PIN AN18 [get_ports lb_sfp_led_link_o[0]]
set_property IOSTANDARD LVCMOS18 [get_ports lb_sfp_led_link_o[0]]

set_property PACKAGE_PIN AN17 [get_ports lt_sfp_led_link_o[0]]
set_property IOSTANDARD LVCMOS18 [get_ports lt_sfp_led_link_o[0]]

set_property PACKAGE_PIN AL18 [get_ports lct_sfp_led_synced_o[1]]
set_property IOSTANDARD LVCMOS18 [get_ports lct_sfp_led_synced_o[1]]

set_property PACKAGE_PIN AM18 [get_ports lt_sfp_led_activity_o[0]]
set_property IOSTANDARD LVCMOS18 [get_ports lt_sfp_led_activity_o[0]]

set_property PACKAGE_PIN AJ18 [get_ports lb_sfp_led_synced_o[1]]
set_property IOSTANDARD LVCMOS18 [get_ports lb_sfp_led_synced_o[1]]

set_property PACKAGE_PIN AK18 [get_ports lt_sfp_led_synced_o[1]]
set_property IOSTANDARD LVCMOS18 [get_ports lt_sfp_led_synced_o[1]]

set_property PACKAGE_PIN AP17 [get_ports lb_sfp_tx_fault_i[0]]
set_property IOSTANDARD LVCMOS18 [get_ports lb_sfp_tx_fault_i[0]]

set_property PACKAGE_PIN AL17 [get_ports lt_sfp_tx_fault_i[0]]
set_property IOSTANDARD LVCMOS18 [get_ports lt_sfp_tx_fault_i[0]]

set_property PACKAGE_PIN AT16 [get_ports lct_sfp_led_synced_o[0]]
set_property IOSTANDARD LVCMOS18 [get_ports lct_sfp_led_synced_o[0]]

set_property PACKAGE_PIN AU16 [get_ports lcb_sfp_led_mode_o[2]]
set_property IOSTANDARD LVCMOS18 [get_ports lcb_sfp_led_mode_o[2]]

set_property PACKAGE_PIN AR17 [get_ports lt_sfp_led_mode_o[0]]
set_property IOSTANDARD LVCMOS18 [get_ports lt_sfp_led_mode_o[0]]

set_property PACKAGE_PIN AT17 [get_ports lct_sfp_led_activity_o[0]]
set_property IOSTANDARD LVCMOS18 [get_ports lct_sfp_led_activity_o[0]]

set_property PACKAGE_PIN AR18 [get_ports lb_sfp_led_mode_o[0]]
set_property IOSTANDARD LVCMOS18 [get_ports lb_sfp_led_mode_o[0]]

set_property PACKAGE_PIN AT18 [get_ports lcb_sfp_led_link_o[0]]
set_property IOSTANDARD LVCMOS18 [get_ports lcb_sfp_led_link_o[0]]

set_property PACKAGE_PIN AU18 [get_ports lcb_sfp_led_activity_o[2]]
set_property IOSTANDARD LVCMOS18 [get_ports lcb_sfp_led_activity_o[2]]

set_property PACKAGE_PIN AV18 [get_ports lct_sfp_led_activity_o[2]]
set_property IOSTANDARD LVCMOS18 [get_ports lct_sfp_led_activity_o[2]]

set_property PACKAGE_PIN AT15 [get_ports lcb_sfp_led_activity_o[0]]
set_property IOSTANDARD LVCMOS18 [get_ports lcb_sfp_led_activity_o[0]]

set_property PACKAGE_PIN AU15 [get_ports lb_sfp_led_link_o[2]]
set_property IOSTANDARD LVCMOS18 [get_ports lb_sfp_led_link_o[2]]

set_property PACKAGE_PIN AV17 [get_ports lcb_sfp_led_synced_o[2]]
set_property IOSTANDARD LVCMOS18 [get_ports lcb_sfp_led_synced_o[2]]

set_property PACKAGE_PIN AV16 [get_ports lct_sfp_led_mode_o[2]]
set_property IOSTANDARD LVCMOS18 [get_ports lct_sfp_led_mode_o[2]]

#set_property PACKAGE_PIN AU14 [get_ports clk_10mhz_m_p_i]
#set_property IOSTANDARD LVDS [get_ports clk_10mhz_m_p_i]
#set_property DIFF_TERM_ADV TERM_100 [get_ports clk_10mhz_m_p_i]

#set_property PACKAGE_PIN AV14 [get_ports clk_10mhz_m_n_i]
#set_property IOSTANDARD LVDS [get_ports clk_10mhz_m_n_i]
#set_property DIFF_TERM_ADV TERM_100 [get_ports clk_10mhz_m_n_i]

set_property PACKAGE_PIN AW15 [get_ports lt_sfp_led_link_o[2]]
set_property IOSTANDARD LVCMOS18 [get_ports lt_sfp_led_link_o[2]]

set_property PACKAGE_PIN AW14 [get_ports lb_sfp_tx_disable_o[1]]
set_property IOSTANDARD LVCMOS18 [get_ports lb_sfp_tx_disable_o[1]]

set_property PACKAGE_PIN AU13 [get_ports lb_sfp_led_synced_o[2]]
set_property IOSTANDARD LVCMOS18 [get_ports lb_sfp_led_synced_o[2]]

set_property PACKAGE_PIN AV13 [get_ports lt_sfp_led_synced_o[2]]
set_property IOSTANDARD LVCMOS18 [get_ports lt_sfp_led_synced_o[2]]

set_property PACKAGE_PIN BA10 [get_ports rt_sfp_tx_fault_i[0]]
set_property IOSTANDARD LVCMOS18 [get_ports rt_sfp_tx_fault_i[0]]

set_property PACKAGE_PIN BB10 [get_ports rt_sfp_tx_disable_o[0]]
set_property IOSTANDARD LVCMOS18 [get_ports rt_sfp_tx_disable_o[0]]

set_property PACKAGE_PIN BA11 [get_ports rt_sfp_detect_i[0]]
set_property IOSTANDARD LVCMOS18 [get_ports rt_sfp_detect_i[0]]

set_property PACKAGE_PIN BB11 [get_ports rb_sfp_tx_disable_o[0]]
set_property IOSTANDARD LVCMOS18 [get_ports rb_sfp_tx_disable_o[0]]

set_property PACKAGE_PIN AY12 [get_ports rb_sfp_tx_fault_i[0]]
set_property IOSTANDARD LVCMOS18 [get_ports rb_sfp_tx_fault_i[0]]

set_property PACKAGE_PIN BA12 [get_ports lt_sfp_tx_fault_i[1]]
set_property IOSTANDARD LVCMOS18 [get_ports lt_sfp_tx_fault_i[1]]

set_property PACKAGE_PIN AY13 [get_ports lt_sfp_tx_disable_o[1]]
set_property IOSTANDARD LVCMOS18 [get_ports lt_sfp_tx_disable_o[1]]

set_property PACKAGE_PIN BB14 [get_ports lct_sfp_tx_fault_i[1]]
set_property IOSTANDARD LVCMOS18 [get_ports lct_sfp_tx_fault_i[1]]

set_property PACKAGE_PIN BA13 [get_ports lb_sfp_detect_i[1]]
set_property IOSTANDARD LVCMOS18 [get_ports lb_sfp_detect_i[1]]

set_property PACKAGE_PIN BB13 [get_ports lt_sfp_detect_i[1]]
set_property IOSTANDARD LVCMOS18 [get_ports lt_sfp_detect_i[1]]

set_property PACKAGE_PIN AY15 [get_ports lct_sfp_tx_disable_o[1]]
set_property IOSTANDARD LVCMOS18 [get_ports lct_sfp_tx_disable_o[1]]

set_property PACKAGE_PIN AY14 [get_ports lb_sfp_tx_fault_i[1]]
set_property IOSTANDARD LVCMOS18 [get_ports lb_sfp_tx_fault_i[1]]

set_property PACKAGE_PIN BA15 [get_ports lcb_sfp_detect_i[1]]
set_property IOSTANDARD LVCMOS18 [get_ports lcb_sfp_detect_i[1]]

set_property PACKAGE_PIN BB15 [get_ports lct_sfp_detect_i[1]]
set_property IOSTANDARD LVCMOS18 [get_ports lct_sfp_detect_i[1]]

set_property PACKAGE_PIN AW17 [get_ports lct_sfp_led_synced_o[2]]
set_property IOSTANDARD LVCMOS18 [get_ports lct_sfp_led_synced_o[2]]

set_property PACKAGE_PIN AW16 [get_ports lcb_sfp_tx_disable_o[1]]
set_property IOSTANDARD LVCMOS18 [get_ports lcb_sfp_tx_disable_o[1]]

set_property PACKAGE_PIN BA16 [get_ports lcb_sfp_tx_fault_i[1]]
set_property IOSTANDARD LVCMOS18 [get_ports lcb_sfp_tx_fault_i[1]]

set_property PACKAGE_PIN BB16 [get_ports rct_sfp_tx_fault_i[1]]
set_property IOSTANDARD LVCMOS18 [get_ports rct_sfp_tx_fault_i[1]]

set_property PACKAGE_PIN AY17 [get_ports rct_sfp_tx_disable_o[1]]
set_property IOSTANDARD LVCMOS18 [get_ports rct_sfp_tx_disable_o[1]]

set_property PACKAGE_PIN BA17 [get_ports rcb_sfp_detect_i[1]]
set_property IOSTANDARD LVCMOS18 [get_ports rcb_sfp_detect_i[1]]

##################################################################################
#bank 64, 1V8, HP
##################################################################################

set_property PACKAGE_PIN AJ22 [get_ports rb_sfp_led_synced_o[0]]
set_property IOSTANDARD LVCMOS18 [get_ports rb_sfp_led_synced_o[0]]

set_property PACKAGE_PIN AK22 [get_ports rt_sfp_led_mode_o[2]]
set_property IOSTANDARD LVCMOS18 [get_ports rt_sfp_led_mode_o[2]]

set_property PACKAGE_PIN AJ21 [get_ports rb_sfp_led_activity_o[0]]
set_property IOSTANDARD LVCMOS18 [get_ports rb_sfp_led_activity_o[0]]

set_property PACKAGE_PIN AJ20 [get_ports rb_sfp_led_link_o[0]]
set_property IOSTANDARD LVCMOS18 [get_ports rb_sfp_led_link_o[0]]

set_property PACKAGE_PIN AK20 [get_ports lb_sfp_led_mode_o[1]]
set_property IOSTANDARD LVCMOS18 [get_ports lb_sfp_led_mode_o[1]]

set_property PACKAGE_PIN AK19 [get_ports lt_sfp_led_mode_o[1]]
set_property IOSTANDARD LVCMOS18 [get_ports lt_sfp_led_mode_o[1]]

set_property PACKAGE_PIN AL22 [get_ports rb_sfp_led_synced_o[2]]
set_property IOSTANDARD LVCMOS18 [get_ports rb_sfp_led_synced_o[2]]

set_property PACKAGE_PIN AL21 [get_ports rt_sfp_led_activity_o[0]]
set_property IOSTANDARD LVCMOS18 [get_ports rt_sfp_led_activity_o[0]]

set_property PACKAGE_PIN AM21 [get_ports rt_sfp_led_link_o[0]]
set_property IOSTANDARD LVCMOS18 [get_ports rt_sfp_led_link_o[0]]

set_property PACKAGE_PIN AM20 [get_ports rb_sfp_led_mode_o[2]]
set_property IOSTANDARD LVCMOS18 [get_ports rb_sfp_led_mode_o[2]]

set_property PACKAGE_PIN AM19 [get_ports lb_sfp_led_activity_o[0]]
set_property IOSTANDARD LVCMOS18 [get_ports lb_sfp_led_activity_o[0]]

set_property PACKAGE_PIN AN19 [get_ports lt_sfp_led_synced_o[0]]
set_property IOSTANDARD LVCMOS18 [get_ports lt_sfp_led_synced_o[0]]

set_property PACKAGE_PIN AL20 [get_ports lcb_sfp_led_synced_o[1]]
set_property IOSTANDARD LVCMOS18 [get_ports lcb_sfp_led_synced_o[1]]

set_property PACKAGE_PIN AP19 [get_ports lb_sfp_led_synced_o[0]]
set_property IOSTANDARD LVCMOS18 [get_ports lb_sfp_led_synced_o[0]]

set_property PACKAGE_PIN AR19 [get_ports lct_sfp_led_link_o[0]]
set_property IOSTANDARD LVCMOS18 [get_ports lct_sfp_led_link_o[0]]

set_property PACKAGE_PIN AP20 [get_ports rcb_sfp_led_link_o[2]]
set_property IOSTANDARD LVCMOS18 [get_ports rcb_sfp_led_link_o[2]]

set_property PACKAGE_PIN AR20 [get_ports rct_sfp_led_synced_o[2]]
set_property IOSTANDARD LVCMOS18 [get_ports rct_sfp_led_synced_o[2]]

set_property PACKAGE_PIN AN21 [get_ports rct_sfp_led_link_o[2]]
set_property IOSTANDARD LVCMOS18 [get_ports rct_sfp_led_link_o[2]]

set_property PACKAGE_PIN AP21 [get_ports rct_sfp_led_activity_o[2]]
set_property IOSTANDARD LVCMOS18 [get_ports rct_sfp_led_activity_o[2]]

set_property PACKAGE_PIN AT20 [get_ports rcb_sfp_led_synced_o[2]]
set_property IOSTANDARD LVCMOS18 [get_ports rcb_sfp_led_synced_o[2]]

set_property PACKAGE_PIN AU19 [get_ports lcb_sfp_led_link_o[2]]
set_property IOSTANDARD LVCMOS18 [get_ports lcb_sfp_led_link_o[2]]

#pl_ prefix on schematic
set_property PACKAGE_PIN AT22 [get_ports lb_sfp_tx_fault_i[2]]			
set_property IOSTANDARD LVCMOS18 [get_ports lb_sfp_tx_fault_i[2]]

set_property PACKAGE_PIN AT21 [get_ports rcb_sfp_led_activity_o[2]]
set_property IOSTANDARD LVCMOS18 [get_ports rcb_sfp_led_activity_o[2]]

set_property PACKAGE_PIN AU20 [get_ports rcb_sfp_led_mode_o[2]]
set_property IOSTANDARD LVCMOS18 [get_ports rcb_sfp_led_mode_o[2]]

set_property PACKAGE_PIN AV19 [get_ports lct_sfp_led_link_o[2]]
set_property IOSTANDARD LVCMOS18 [get_ports lct_sfp_led_link_o[2]]

set_property PACKAGE_PIN AU21 [get_ports lb_sfp_tx_disable_o[2]]
set_property IOSTANDARD LVCMOS18 [get_ports lb_sfp_tx_disable_o[2]]

set_property PACKAGE_PIN AV21 [get_ports lt_sfp_detect_i[2]]
set_property IOSTANDARD LVCMOS18 [get_ports lt_sfp_detect_i[2]]

set_property PACKAGE_PIN AY19 [get_ports rt_sfp_tx_disable_o[1]]
set_property IOSTANDARD LVCMOS18 [get_ports rt_sfp_tx_disable_o[1]]

set_property PACKAGE_PIN AY18 [get_ports rct_sfp_detect_i[1]]
set_property IOSTANDARD LVCMOS18 [get_ports rct_sfp_detect_i[1]]

set_property PACKAGE_PIN AW20 [get_ports rct_sfp_led_mode_o[2]]
set_property IOSTANDARD LVCMOS18 [get_ports rct_sfp_led_mode_o[2]]

set_property PACKAGE_PIN AW19 [get_ports rt_sfp_tx_fault_i[1]]
set_property IOSTANDARD LVCMOS18 [get_ports rt_sfp_tx_fault_i[1]]

set_property PACKAGE_PIN AV22 [get_ports lct_sfp_tx_fault_i[2]]
set_property IOSTANDARD LVCMOS18 [get_ports lct_sfp_tx_fault_i[2]]

set_property PACKAGE_PIN AW22 [get_ports lct_sfp_tx_disable_o[2]]
set_property IOSTANDARD LVCMOS18 [get_ports lct_sfp_tx_disable_o[2]]

set_property PACKAGE_PIN AU23 [get_ports rt_sfp_led_synced_o[2]]
set_property IOSTANDARD LVCMOS18 [get_ports rt_sfp_led_synced_o[2]]

set_property PACKAGE_PIN AV23 [get_ports rb_sfp_led_activity_o[2]]
set_property IOSTANDARD LVCMOS18 [get_ports rb_sfp_led_activity_o[2]]

set_property PACKAGE_PIN BB21 [get_ports lb_sfp_detect_i[2]]
set_property IOSTANDARD LVCMOS18 [get_ports lb_sfp_detect_i[2]]

set_property PACKAGE_PIN AW21 [get_ports lt_sfp_tx_fault_i[2]]
set_property IOSTANDARD LVCMOS18 [get_ports lt_sfp_tx_fault_i[2]]

set_property PACKAGE_PIN BA18 [get_ports rcb_sfp_tx_disable_o[1]]
set_property IOSTANDARD LVCMOS18 [get_ports rcb_sfp_tx_disable_o[1]]

set_property PACKAGE_PIN BB18 [get_ports rcb_sfp_tx_fault_i[1]]
set_property IOSTANDARD LVCMOS18 [get_ports rcb_sfp_tx_fault_i[1]]

set_property PACKAGE_PIN BB20 [get_ports rb_sfp_tx_fault_i[1]]
set_property IOSTANDARD LVCMOS18 [get_ports rb_sfp_tx_fault_i[1]]

set_property PACKAGE_PIN BB19 [get_ports rb_sfp_detect_i[1]]
set_property IOSTANDARD LVCMOS18 [get_ports rb_sfp_detect_i[1]]

set_property PACKAGE_PIN AY20 [get_ports rt_sfp_detect_i[1]]
set_property IOSTANDARD LVCMOS18 [get_ports rt_sfp_detect_i[1]]

set_property PACKAGE_PIN BA20 [get_ports rb_sfp_tx_disable_o[1]]
set_property IOSTANDARD LVCMOS18 [get_ports rb_sfp_tx_disable_o[1]]

set_property PACKAGE_PIN BA22 [get_ports lct_sfp_detect_i[2]]
set_property IOSTANDARD LVCMOS18 [get_ports lct_sfp_detect_i[2]]

set_property PACKAGE_PIN BA21 [get_ports lt_sfp_tx_disable_o[2]]
set_property IOSTANDARD LVCMOS18 [get_ports lt_sfp_tx_disable_o[2]]

set_property PACKAGE_PIN AY23 [get_ports lcb_sfp_tx_disable_o[2]]
set_property IOSTANDARD LVCMOS18 [get_ports lcb_sfp_tx_disable_o[2]]

set_property PACKAGE_PIN AY22 [get_ports lcb_sfp_detect_i[2]]
set_property IOSTANDARD LVCMOS18 [get_ports lcb_sfp_detect_i[2]]

set_property PACKAGE_PIN BA23 [get_ports lcb_sfp_tx_fault_i[2]]
set_property IOSTANDARD LVCMOS18 [get_ports lcb_sfp_tx_fault_i[2]]

set_property PACKAGE_PIN BB23 [get_ports rct_sfp_tx_fault_i[2]]
set_property IOSTANDARD LVCMOS18 [get_ports rct_sfp_tx_fault_i[2]]

##################################################################################
#bank 67, 1V8, HP
##################################################################################

set_property PACKAGE_PIN AJ14 [get_ports lcb_sfp_led_mode_o[1]]
set_property IOSTANDARD LVCMOS18 [get_ports lcb_sfp_led_mode_o[1]]

set_property PACKAGE_PIN AK14 [get_ports lct_sfp_led_mode_o[1]]
set_property IOSTANDARD LVCMOS18 [get_ports lct_sfp_led_mode_o[1]]

set_property PACKAGE_PIN AM13 [get_ports lct_sfp_led_link_o[1]]
set_property IOSTANDARD LVCMOS18 [get_ports lct_sfp_led_link_o[1]]

set_property PACKAGE_PIN AN13 [get_ports rct_sfp_led_activity_o[1]]
set_property IOSTANDARD LVCMOS18 [get_ports rct_sfp_led_activity_o[1]]

set_property PACKAGE_PIN AN14 [get_ports lb_sfp_led_activity_o[2]]
set_property IOSTANDARD LVCMOS18 [get_ports lb_sfp_led_activity_o[2]]

set_property PACKAGE_PIN AP14 [get_ports lcb_sfp_led_mode_o[0]]
set_property IOSTANDARD LVCMOS18 [get_ports lcb_sfp_led_mode_o[0]]

set_property PACKAGE_PIN AL14 [get_ports lcb_sfp_led_activity_o[1]]
set_property IOSTANDARD LVCMOS18 [get_ports lcb_sfp_led_activity_o[1]]

set_property PACKAGE_PIN AM14 [get_ports lcb_sfp_led_link_o[1]]
set_property IOSTANDARD LVCMOS18 [get_ports lcb_sfp_led_link_o[1]]

set_property PACKAGE_PIN AJ15 [get_ports lb_sfp_led_link_o[1]]
set_property IOSTANDARD LVCMOS18 [get_ports lb_sfp_led_link_o[1]]

set_property PACKAGE_PIN AK15 [get_ports lt_sfp_led_link_o[1]]
set_property IOSTANDARD LVCMOS18 [get_ports lt_sfp_led_link_o[1]]

set_property PACKAGE_PIN AL15 [get_ports lct_sfp_led_activity_o[1]]
set_property IOSTANDARD LVCMOS18 [get_ports lct_sfp_led_activity_o[1]]

set_property PACKAGE_PIN AM15 [get_ports lb_sfp_detect_i[0]]
set_property IOSTANDARD LVCMOS18 [get_ports lb_sfp_detect_i[0]]

set_property PACKAGE_PIN AP11 [get_ports rct_sfp_led_link_o[1]]
set_property IOSTANDARD LVCMOS18 [get_ports rct_sfp_led_link_o[1]]

set_property PACKAGE_PIN AP15 [get_ports lct_sfp_tx_disable_o[0]]
set_property IOSTANDARD LVCMOS18 [get_ports lct_sfp_tx_disable_o[0]]

set_property PACKAGE_PIN AM10 [get_ports rcb_sfp_led_mode_o[1]]
set_property IOSTANDARD LVCMOS18 [get_ports rcb_sfp_led_mode_o[1]]

set_property PACKAGE_PIN AN10 [get_ports rct_sfp_led_synced_o[1]]
set_property IOSTANDARD LVCMOS18 [get_ports rct_sfp_led_synced_o[1]]

set_property PACKAGE_PIN AM11 [get_ports rct_sfp_led_mode_o[1]]
set_property IOSTANDARD LVCMOS18 [get_ports rct_sfp_led_mode_o[1]]

set_property PACKAGE_PIN AN11 [get_ports rcb_sfp_led_synced_o[1]]
set_property IOSTANDARD LVCMOS18 [get_ports rcb_sfp_led_synced_o[1]]

set_property PACKAGE_PIN AN12 [get_ports rcb_sfp_led_activity_o[1]]
set_property IOSTANDARD LVCMOS18 [get_ports rcb_sfp_led_activity_o[1]]

set_property PACKAGE_PIN AP12 [get_ports rb_sfp_led_mode_o[1]]
set_property IOSTANDARD LVCMOS18 [get_ports rb_sfp_led_mode_o[1]]

set_property PACKAGE_PIN AR15 [get_ports lct_sfp_led_mode_o[0]]
set_property IOSTANDARD LVCMOS18 [get_ports lct_sfp_led_mode_o[0]]

set_property PACKAGE_PIN AR14 [get_ports lt_sfp_led_activity_o[2]]
set_property IOSTANDARD LVCMOS18 [get_ports lt_sfp_led_activity_o[2]]

set_property PACKAGE_PIN AP10 [get_ports rcb_sfp_led_link_o[1]]
set_property IOSTANDARD LVCMOS18 [get_ports rcb_sfp_led_link_o[1]]

set_property PACKAGE_PIN AR10 [get_ports rt_sfp_led_mode_o[1]]
set_property IOSTANDARD LVCMOS18 [get_ports rt_sfp_led_mode_o[1]]

set_property PACKAGE_PIN AR13 [get_ports lcb_sfp_led_synced_o[0]]
set_property IOSTANDARD LVCMOS18 [get_ports lcb_sfp_led_synced_o[0]]

set_property PACKAGE_PIN AR12 [get_ports rb_sfp_led_synced_o[1]]
set_property IOSTANDARD LVCMOS18 [get_ports rb_sfp_led_synced_o[1]]

set_property PACKAGE_PIN AT11 [get_ports rb_sfp_led_link_o[1]]
set_property IOSTANDARD LVCMOS18 [get_ports rb_sfp_led_link_o[1]]

set_property PACKAGE_PIN AT10 [get_ports rb_sfp_led_activity_o[1]]
set_property IOSTANDARD LVCMOS18 [get_ports rb_sfp_led_activity_o[1]]

set_property PACKAGE_PIN AT13 [get_ports rt_sfp_led_synced_o[1]]
set_property IOSTANDARD LVCMOS18 [get_ports rt_sfp_led_synced_o[1]]

set_property PACKAGE_PIN AT12 [get_ports lb_sfp_led_mode_o[2]]
set_property IOSTANDARD LVCMOS18 [get_ports lb_sfp_led_mode_o[2]]

set_property PACKAGE_PIN AV9 [get_ports lcb_sfp_tx_disable_o[0]]
set_property IOSTANDARD LVCMOS18 [get_ports lcb_sfp_tx_disable_o[0]]

set_property PACKAGE_PIN AV8 [get_ports lcb_sfp_tx_fault_i[0]]
set_property IOSTANDARD LVCMOS18 [get_ports lcb_sfp_tx_fault_i[0]]

set_property PACKAGE_PIN AW11 [get_ports rb_sfp_detect_i[0]]
set_property IOSTANDARD LVCMOS18 [get_ports rb_sfp_detect_i[0]]

set_property PACKAGE_PIN AW10 [get_ports rct_sfp_tx_fault_i[0]]
set_property IOSTANDARD LVCMOS18 [get_ports rct_sfp_tx_fault_i[0]]

set_property PACKAGE_PIN AU11 [get_ports rt_sfp_led_link_o[1]]
set_property IOSTANDARD LVCMOS18 [get_ports rt_sfp_led_link_o[1]]

set_property PACKAGE_PIN AV11 [get_ports lcb_sfp_detect_i[0]]
set_property IOSTANDARD LVCMOS18 [get_ports lcb_sfp_detect_i[0]]

set_property PACKAGE_PIN AV12 [get_ports lct_sfp_detect_i[0]]
set_property IOSTANDARD LVCMOS18 [get_ports lct_sfp_detect_i[0]]

set_property PACKAGE_PIN AW12 [get_ports lt_sfp_led_mode_o[2]]
set_property IOSTANDARD LVCMOS18 [get_ports lt_sfp_led_mode_o[2]]

set_property PACKAGE_PIN AY10 [get_ports rcb_sfp_tx_fault_i[0]]
set_property IOSTANDARD LVCMOS18 [get_ports rcb_sfp_tx_fault_i[0]]

set_property PACKAGE_PIN AU10 [get_ports rt_sfp_led_activity_o[1]]
set_property IOSTANDARD LVCMOS18 [get_ports rt_sfp_led_activity_o[1]]

set_property PACKAGE_PIN BB5 [get_ports rcb_sfp_led_mode_o[0]]
set_property IOSTANDARD LVCMOS18 [get_ports rcb_sfp_led_mode_o[0]]

set_property PACKAGE_PIN BB4 [get_ports rct_sfp_led_mode_o[0]]
set_property IOSTANDARD LVCMOS18 [get_ports rct_sfp_led_mode_o[0]]

set_property PACKAGE_PIN BA6 [get_ports rct_sfp_detect_i[0]]
set_property IOSTANDARD LVCMOS18 [get_ports rct_sfp_detect_i[0]]

set_property PACKAGE_PIN BB6 [get_ports rcb_sfp_led_synced_o[0]]
set_property IOSTANDARD LVCMOS18 [get_ports rcb_sfp_led_synced_o[0]]

set_property PACKAGE_PIN BA8 [get_ports rcb_sfp_led_activity_o[0]]
set_property IOSTANDARD LVCMOS18 [get_ports rcb_sfp_led_activity_o[0]]

set_property PACKAGE_PIN BA7 [get_ports rcb_sfp_detect_i[0]]
set_property IOSTANDARD LVCMOS18 [get_ports rcb_sfp_detect_i[0]]

set_property PACKAGE_PIN AW8 [get_ports rct_sfp_tx_disable_o[0]]
set_property IOSTANDARD LVCMOS18 [get_ports rct_sfp_tx_disable_o[0]]

set_property PACKAGE_PIN AY8 [get_ports rct_sfp_led_synced_o[0]]
set_property IOSTANDARD LVCMOS18 [get_ports rct_sfp_led_synced_o[0]]

set_property PACKAGE_PIN BB9 [get_ports rcb_sfp_tx_disable_o[0]]
set_property IOSTANDARD LVCMOS18 [get_ports rcb_sfp_tx_disable_o[0]]

set_property PACKAGE_PIN BB8 [get_ports rct_sfp_led_activity_o[0]]
set_property IOSTANDARD LVCMOS18 [get_ports rct_sfp_led_activity_o[0]]

set_property PACKAGE_PIN AW9 [get_ports rcb_sfp_led_link_o[0]]
set_property IOSTANDARD LVCMOS18 [get_ports rcb_sfp_led_link_o[0]]

set_property PACKAGE_PIN AY9 [get_ports rct_sfp_led_link_o[0]]
set_property IOSTANDARD LVCMOS18 [get_ports rct_sfp_led_link_o[0]]

##################################################################################
#bank 224, gth
##################################################################################

#set_property PACKAGE_PIN AY4 [get_ports gth224_tx_p_o[0]]
#set_property PACKAGE_PIN AY3 [get_ports gth224_tx_n_o[0]]

#set_property PACKAGE_PIN BA2 [get_ports gth224_rx_p_i[0]]
#set_property PACKAGE_PIN BA1 [get_ports gth224_rx_n_i[0]]

set_property PACKAGE_PIN AK12 [get_ports gth224_clk0_p_i]
set_property PACKAGE_PIN AK11 [get_ports gth224_clk0_n_i]
set_property LOC GTHE4_COMMON_X0Y0 [get_cells U_Mgtclk0_224_Buf]

#set_property PACKAGE_PIN AW6 [get_ports gth224_tx_p_o[1]]
#set_property PACKAGE_PIN AW5 [get_ports gth224_tx_n_o[1]]

#set_property PACKAGE_PIN AW2 [get_ports gth224_rx_p_i[1]]
#set_property PACKAGE_PIN AW1 [get_ports gth224_rx_n_i[1]]

set_property PACKAGE_PIN AJ10 [get_ports gth224_clk1_p_i]
set_property PACKAGE_PIN AJ9 [get_ports gth224_clk1_n_i]

#set_property PACKAGE_PIN AU6 [get_ports gth224_tx_p_o[2]]
#set_property PACKAGE_PIN AU5 [get_ports gth224_tx_n_o[2]]

#set_property PACKAGE_PIN AV4 [get_ports gth224_rx_p_i[2]]
#set_property PACKAGE_PIN AV3 [get_ports gth224_rx_n_i[2]]

#set_property PACKAGE_PIN AT8 [get_ports gth224_tx_p_o[3]]
#set_property PACKAGE_PIN AT7 [get_ports gth224_tx_n_o[3]]

#set_property PACKAGE_PIN AU2 [get_ports gth224_rx_p_i[3]]
#set_property PACKAGE_PIN AU1 [get_ports gth224_rx_n_i[3]]

##################################################################################
#bank 225, gth
##################################################################################

#set_property PACKAGE_PIN AR6 [get_ports gth225_tx_p_o[0]]
#set_property PACKAGE_PIN AR5 [get_ports gth225_tx_n_o[0]]

#set_property PACKAGE_PIN AT4 [get_ports gth225_rx_p_i[0]]
#set_property PACKAGE_PIN AT3 [get_ports gth225_rx_n_i[0]]

set_property PACKAGE_PIN AH12 [get_ports gth225_clk0_p_i]
set_property PACKAGE_PIN AH11 [get_ports gth225_clk0_n_i]
set_property LOC GTHE4_COMMON_X0Y1 [get_cells U_Mgtclk0_225_Buf]

#set_property PACKAGE_PIN AP8 [get_ports gth225_tx_p_o[1]]
#set_property PACKAGE_PIN AP7 [get_ports gth225_tx_n_o[1]]

#set_property PACKAGE_PIN AR2 [get_ports gth225_rx_p_i[1]]
#set_property PACKAGE_PIN AR1 [get_ports gth225_rx_n_i[1]]

set_property PACKAGE_PIN AG10 [get_ports gth225_clk1_p_i]
set_property PACKAGE_PIN AG9 [get_ports gth225_clk1_n_i]

#set_property PACKAGE_PIN AN6 [get_ports gth225_tx_p_o[2]]
#set_property PACKAGE_PIN AN5 [get_ports gth225_tx_n_o[2]]

#set_property PACKAGE_PIN AP4 [get_ports gth225_rx_p_i[2]]
#set_property PACKAGE_PIN AP3 [get_ports gth225_rx_n_i[2]]

#set_property PACKAGE_PIN AM8 [get_ports gth225_tx_p_o[3]]
#set_property PACKAGE_PIN AM7 [get_ports gth225_tx_n_o[3]]

#set_property PACKAGE_PIN AN2 [get_ports gth225_rx_p_i[3]]
#set_property PACKAGE_PIN AN1 [get_ports gth225_rx_n_i[3]]

##################################################################################
#bank 226, gth
##################################################################################

#set_property PACKAGE_PIN AL6 [get_ports gth226_tx_p_o[0]]
#set_property PACKAGE_PIN AL5 [get_ports gth226_tx_n_o[0]]

#set_property PACKAGE_PIN AM4 [get_ports gth226_rx_p_i[0]]
#set_property PACKAGE_PIN AM3 [get_ports gth226_rx_n_i[0]]

set_property PACKAGE_PIN AF12 [get_ports gth226_clk0_p_i]
set_property PACKAGE_PIN AF11 [get_ports gth226_clk0_n_i]
set_property LOC GTHE4_COMMON_X0Y2 [get_cells U_Mgtclk0_226_Buf]

#set_property PACKAGE_PIN AK8 [get_ports gth226_tx_p_o[1]]
#set_property PACKAGE_PIN AK7 [get_ports gth226_tx_n_o[1]]

#set_property PACKAGE_PIN AL2 [get_ports gth226_rx_p_i[1]]
#set_property PACKAGE_PIN AL1 [get_ports gth226_rx_n_i[1]]

set_property PACKAGE_PIN AE10 [get_ports gth226_clk1_p_i]
set_property PACKAGE_PIN AE9 [get_ports gth226_clk1_n_i]

#set_property PACKAGE_PIN AJ6 [get_ports gth226_tx_p_o[2]]
#set_property PACKAGE_PIN AJ5 [get_ports gth226_tx_n_o[2]]

#set_property PACKAGE_PIN AK4 [get_ports gth226_rx_p_i[2]]
#set_property PACKAGE_PIN AK3 [get_ports gth226_rx_n_i[2]]

#set_property PACKAGE_PIN AH8 [get_ports gth226_tx_p_o[3]]
#set_property PACKAGE_PIN AH7 [get_ports gth226_tx_n_o[3]]

#set_property PACKAGE_PIN AJ2 [get_ports gth226_rx_p_i[3]]
#set_property PACKAGE_PIN AJ1 [get_ports gth226_rx_n_i[3]]

##################################################################################
#bank 227, gth
##################################################################################

#set_property PACKAGE_PIN AG6 [get_ports gth227_tx_p_o[0]]
#set_property PACKAGE_PIN AG5 [get_ports gth227_tx_n_o[0]]

#set_property PACKAGE_PIN AH4 [get_ports gth227_rx_p_i[0]]
#set_property PACKAGE_PIN AH3 [get_ports gth227_rx_n_i[0]]

set_property PACKAGE_PIN AD12 [get_ports gth227_clk0_p_i]
set_property PACKAGE_PIN AD11 [get_ports gth227_clk0_n_i]
set_property LOC GTHE4_COMMON_X0Y3 [get_cells U_Mgtclk0_227_Buf]

#set_property PACKAGE_PIN AF8 [get_ports gth227_tx_p_o[1]]
#set_property PACKAGE_PIN AF7 [get_ports gth227_tx_n_o[1]]

#set_property PACKAGE_PIN AG2 [get_ports gth227_rx_p_i[1]]
#set_property PACKAGE_PIN AG1 [get_ports gth227_rx_n_i[1]]

set_property PACKAGE_PIN AC10 [get_ports gth227_clk1_p_i]
set_property PACKAGE_PIN AC9 [get_ports gth227_clk1_n_i]

#set_property PACKAGE_PIN AE6 [get_ports gth227_tx_p_o[2]]
#set_property PACKAGE_PIN AE5 [get_ports gth227_tx_n_o[2]]

#set_property PACKAGE_PIN AF4 [get_ports gth227_rx_p_i[2]]
#set_property PACKAGE_PIN AF3 [get_ports gth227_rx_n_i[2]]

#set_property PACKAGE_PIN AD8 [get_ports gth227_tx_p_o[3]]
#set_property PACKAGE_PIN AD7 [get_ports gth227_tx_n_o[3]]

#set_property PACKAGE_PIN AE2 [get_ports gth227_rx_p_i[3]]
#set_property PACKAGE_PIN AE1 [get_ports gth227_rx_n_i[3]]

##################################################################################
#bank 228, gth
##################################################################################

#set_property PACKAGE_PIN AC6 [get_ports gth228_tx_p_o[0]]
#set_property PACKAGE_PIN AC5 [get_ports gth228_tx_n_o[0]]

#set_property PACKAGE_PIN AD4 [get_ports gth228_rx_p_i[0]]
#set_property PACKAGE_PIN AD3 [get_ports gth228_rx_n_i[0]]

set_property PACKAGE_PIN AB12 [get_ports gth228_clk0_p_i]
set_property PACKAGE_PIN AB11 [get_ports gth228_clk0_n_i]
set_property LOC GTHE4_COMMON_X0Y4 [get_cells U_Mgtclk0_228_Buf]

#set_property PACKAGE_PIN AB8 [get_ports gth228_tx_p_o[1]]
#set_property PACKAGE_PIN AB7 [get_ports gth228_tx_n_o[1]]

#set_property PACKAGE_PIN AC2 [get_ports gth228_rx_p_i[1]]
#set_property PACKAGE_PIN AC1 [get_ports gth228_rx_n_i[1]]

set_property PACKAGE_PIN AA10 [get_ports gth228_clk1_p_i]
set_property PACKAGE_PIN AA9 [get_ports gth228_clk1_n_i]

#set_property PACKAGE_PIN AA6 [get_ports gth228_tx_p_o[2]]
#set_property PACKAGE_PIN AA5 [get_ports gth228_tx_n_o[2]]

#set_property PACKAGE_PIN AB4 [get_ports gth228_rx_p_i[2]]
#set_property PACKAGE_PIN AB3 [get_ports gth228_rx_n_i[2]]

#set_property PACKAGE_PIN Y8 [get_ports gth228_tx_p_o[3]]
#set_property PACKAGE_PIN Y7 [get_ports gth228_tx_n_o[3]]

#set_property PACKAGE_PIN AA2 [get_ports gth228_rx_p_i[3]]
#set_property PACKAGE_PIN AA1 [get_ports gth228_rx_n_i[3]]

##################################################################################
#bank 229, gth
##################################################################################

#set_property PACKAGE_PIN W6 [get_ports gth229_tx_p_o[0]]
#set_property PACKAGE_PIN W5 [get_ports gth229_tx_n_o[0]]

#set_property PACKAGE_PIN Y4 [get_ports gth229_rx_p_i[0]]
#set_property PACKAGE_PIN Y3 [get_ports gth229_rx_n_i[0]]

set_property PACKAGE_PIN Y12 [get_ports gth229_clk0_p_i]
set_property PACKAGE_PIN Y11 [get_ports gth229_clk0_n_i]
set_property LOC GTHE4_COMMON_X0Y5 [get_cells U_Mgtclk0_229_Buf]

#set_property PACKAGE_PIN V8 [get_ports gth229_tx_p_o[1]]
#set_property PACKAGE_PIN V7 [get_ports gth229_tx_n_o[1]]

#set_property PACKAGE_PIN W2 [get_ports gth229_rx_p_i[1]]
#set_property PACKAGE_PIN W1 [get_ports gth229_rx_n_i[1]]

set_property PACKAGE_PIN W10 [get_ports gth229_clk1_p_i]
set_property PACKAGE_PIN W9 [get_ports gth229_clk1_n_i]

#set_property PACKAGE_PIN U6 [get_ports gth229_tx_p_o[2]]
#set_property PACKAGE_PIN U5 [get_ports gth229_tx_n_o[2]]

#set_property PACKAGE_PIN V4 [get_ports gth229_rx_p_i[2]]
#set_property PACKAGE_PIN V3 [get_ports gth229_rx_n_i[2]]

#set_property PACKAGE_PIN T8 [get_ports gth229_tx_p_o[3]]
#set_property PACKAGE_PIN T7 [get_ports gth229_tx_n_o[3]]

#set_property PACKAGE_PIN U2 [get_ports gth229_rx_p_i[3]]
#set_property PACKAGE_PIN U1 [get_ports gth229_rx_n_i[3]]

##################################################################################
#bank 230, gth
##################################################################################

#set_property PACKAGE_PIN R6 [get_ports gth230_tx_p_o[0]]
#set_property PACKAGE_PIN R5 [get_ports gth230_tx_n_o[0]]

#set_property PACKAGE_PIN T4 [get_ports gth230_rx_p_i[0]]
#set_property PACKAGE_PIN T3 [get_ports gth230_rx_n_i[0]]

#set_property PACKAGE_PIN V12 [get_ports gth230_clk0_p_i]
#set_property PACKAGE_PIN V11 [get_ports gth230_clk0_n_i]

#set_property PACKAGE_PIN P8 [get_ports gth230_tx_p_o[1]]
#set_property PACKAGE_PIN P7 [get_ports gth230_tx_n_o[1]]

#set_property PACKAGE_PIN R2 [get_ports gth230_rx_p_i[1]]
#set_property PACKAGE_PIN R1 [get_ports gth230_rx_n_i[1]]

#set_property PACKAGE_PIN U10 [get_ports gth230_clk1_p_i]
#set_property PACKAGE_PIN U9 [get_ports gth230_clk1_n_i]

#set_property PACKAGE_PIN N6 [get_ports gth230_tx_p_o[2]]
#set_property PACKAGE_PIN N5 [get_ports gth230_tx_n_o[2]]

#set_property PACKAGE_PIN P4 [get_ports gth230_rx_p_i[2]]
#set_property PACKAGE_PIN P3 [get_ports gth230_rx_n_i[2]]

#set_property PACKAGE_PIN M8 [get_ports gth230_tx_p_o[3]]
#set_property PACKAGE_PIN M7 [get_ports gth230_tx_n_o[3]]

#set_property PACKAGE_PIN N2 [get_ports gth230_rx_p_i[3]]
#set_property PACKAGE_PIN N1 [get_ports gth230_rx_n_i[3]]

##################################################################################
#bank 231, gth, not connected...
##################################################################################

#set_property PACKAGE_PIN L6 [get_ports gth231_tx_p_o[0]]
#set_property PACKAGE_PIN L5 [get_ports gth231_tx_n_o[0]]

#set_property PACKAGE_PIN M4 [get_ports gth231_rx_p_i[0]]
#set_property PACKAGE_PIN M3 [get_ports gth231_rx_n_i[0]]

#set_property PACKAGE_PIN T12 [get_ports gth231_clk0_p_i]
#set_property PACKAGE_PIN T11 [get_ports gth231_clk0_n_i]

#set_property PACKAGE_PIN K4 [get_ports gth231_tx_p_o[1]]
#set_property PACKAGE_PIN K3 [get_ports gth231_tx_n_o[1]]

#set_property PACKAGE_PIN L2 [get_ports gth231_rx_p_i[1]]
#set_property PACKAGE_PIN L1 [get_ports gth231_rx_n_i[1]]

#set_property PACKAGE_PIN R10 [get_ports gth231_clk1_p_i]
#set_property PACKAGE_PIN R9 [get_ports gth231_clk1_n_i]

#set_property PACKAGE_PIN J6 [get_ports gth231_tx_p_o[2]]
#set_property PACKAGE_PIN J5 [get_ports gth231_tx_n_o[2]]

#set_property PACKAGE_PIN J2 [get_ports gth231_rx_p_i[2]]
#set_property PACKAGE_PIN J2 [get_ports gth231_rx_n_i[2]]

#set_property PACKAGE_PIN H4 [get_ports gth231_tx_p_o[3]]
#set_property PACKAGE_PIN H3 [get_ports gth231_tx_n_o[3]]

#set_property PACKAGE_PIN G2 [get_ports gth231_rx_p_i[3]]
#set_property PACKAGE_PIN G1 [get_ports gth231_rx_n_i[3]]

##################################################################################
#bank 128, gty
##################################################################################

#set_property PACKAGE_PIN Y34 [get_ports gty128_tx_p_o[0]]
#set_property PACKAGE_PIN Y35 [get_ports gty128_tx_n_o[0]]

#set_property PACKAGE_PIN W41 [get_ports gty128_rx_p_i[0]]
#set_property PACKAGE_PIN W42 [get_ports gty128_rx_n_i[0]]

#set_property PACKAGE_PIN AB34 [get_ports gty128_clk0_p_i]
#set_property PACKAGE_PIN AB35 [get_ports gty128_clk0_n_i]

#set_property PACKAGE_PIN W36 [get_ports gty128_tx_p_o[1]]
#set_property PACKAGE_PIN W37 [get_ports gty128_tx_n_o[1]]

#set_property PACKAGE_PIN V39 [get_ports gty128_rx_p_i[1]]
#set_property PACKAGE_PIN V40 [get_ports gty128_rx_n_i[1]]

#set_property PACKAGE_PIN AA32 [get_ports gty128_clk_p_i]
#set_property PACKAGE_PIN AA33 [get_ports gty128_clk_n_i]

#set_property PACKAGE_PIN V34 [get_ports gty128_tx_p_o[2]]
#set_property PACKAGE_PIN V35 [get_ports gty128_tx_n_o[2]]

#set_property PACKAGE_PIN U41 [get_ports gty128_rx_p_i[2]]
#set_property PACKAGE_PIN U42 [get_ports gty128_rx_n_i[2]]

#set_property PACKAGE_PIN U36 [get_ports gty128_tx_p_o[3]]
#set_property PACKAGE_PIN U37 [get_ports gty128_tx_n_o[3]]

#set_property PACKAGE_PIN T39 [get_ports gty128_rx_p_i[3]]
#set_property PACKAGE_PIN T40 [get_ports gty128_rx_n_i[3]]

##################################################################################
#bank 129, gty
##################################################################################

#set_property PACKAGE_PIN T34 [get_ports gty129_tx_p_o[0]]
#set_property PACKAGE_PIN T35 [get_ports gty129_tx_n_o[0]]

#set_property PACKAGE_PIN R41 [get_ports gty129_rx_p_i[0]]
#set_property PACKAGE_PIN R42 [get_ports gty129_rx_n_i[0]]

#set_property PACKAGE_PIN W32 [get_ports gty129_clk0_p_i]
#set_property PACKAGE_PIN W33 [get_ports gty129_clk0_n_i]

#set_property PACKAGE_PIN R36 [get_ports gty129_tx_p_o[1]]
#set_property PACKAGE_PIN R37 [get_ports gty129_tx_n_o[1]]

#set_property PACKAGE_PIN P39 [get_ports gty129_rx_p_i[1]]
#set_property PACKAGE_PIN P40 [get_ports gty129_rx_n_i[1]]

#gty_129_clk_p/n on schematic
#set_property PACKAGE_PIN U32 [get_ports gty129_clk1_p_i]	
#set_property PACKAGE_PIN U33 [get_ports gty129_clk1_n_i]

#set_property PACKAGE_PIN P34 [get_ports gty129_tx_p_o[2]]
#set_property PACKAGE_PIN P35 [get_ports gty129_tx_n_o[2]]

#set_property PACKAGE_PIN N41 [get_ports gty129_rx_p_i[2]]
#set_property PACKAGE_PIN N42 [get_ports gty129_rx_n_i[2]]

#set_property PACKAGE_PIN N36 [get_ports gty129_tx_p_o[3]]
#set_property PACKAGE_PIN N37 [get_ports gty129_tx_n_o[3]]

#set_property PACKAGE_PIN M39 [get_ports gty129_rx_p_i[3]]
#set_property PACKAGE_PIN M40 [get_ports gty129_rx_n_i[3]]

##################################################################################
#bank 130, gty
##################################################################################

#set_property PACKAGE_PIN M34 [get_ports gty130_tx_p_o[3]]
#set_property PACKAGE_PIN M35 [get_ports gty130_tx_n_o[3]]

#set_property PACKAGE_PIN L41 [get_ports gty130_rx_p_i[3]]
#set_property PACKAGE_PIN L42 [get_ports gty130_rx_n_i[3]]

#set_property PACKAGE_PIN R32 [get_ports gty130_clk0_p_i]
#set_property PACKAGE_PIN R33 [get_ports gty130_clk0_n_i]

#set_property PACKAGE_PIN L36 [get_ports gty130_tx_p_o[2]]
#set_property PACKAGE_PIN L37 [get_ports gty130_tx_n_o[2]]

#set_property PACKAGE_PIN K39 [get_ports gty130_rx_p_i[2]]
#set_property PACKAGE_PIN K40 [get_ports gty130_rx_n_i[2]]

#set_property PACKAGE_PIN N32 [get_ports gty130_clk1_p_i]
#set_property PACKAGE_PIN N33 [get_ports gty130_clk1_n_i]

#set_property PACKAGE_PIN K34 [get_ports gty130_tx_p_o[1]]
#set_property PACKAGE_PIN K35 [get_ports gty130_tx_n_o[1]]

#set_property PACKAGE_PIN J41 [get_ports gty130_rx_p_i[1]]
#set_property PACKAGE_PIN J42 [get_ports gty130_rx_n_i[1]]

#set_property PACKAGE_PIN J36 [get_ports gty130_tx_p_o[0]]
#set_property PACKAGE_PIN J37 [get_ports gty130_tx_n_o[0]]

#set_property PACKAGE_PIN H39 [get_ports gty130_rx_p_i[0]]
#set_property PACKAGE_PIN H40 [get_ports gty130_rx_n_i[0]]

##################################################################################
#bank 131, gty
##################################################################################

#set_property PACKAGE_PIN H34 [get_ports gty131_tx_p_o[3]]
#set_property PACKAGE_PIN H35 [get_ports gty131_tx_n_o[3]]

#set_property PACKAGE_PIN G41 [get_ports gty131_rx_p_i[3]]
#set_property PACKAGE_PIN G42 [get_ports gty131_rx_n_i[3]]

#set_property PACKAGE_PIN L32 [get_ports gty131_clk0_p_i]
#set_property PACKAGE_PIN L33 [get_ports gty131_clk0_n_i]

#set_property PACKAGE_PIN G36 [get_ports gty131_tx_p_o[2]]
#set_property PACKAGE_PIN G37 [get_ports gty131_tx_n_o[2]]

#set_property PACKAGE_PIN F39 [get_ports gty131_rx_p_i[2]]
#set_property PACKAGE_PIN F40 [get_ports gty131_rx_n_i[2]]

#set_property PACKAGE_PIN J32 [get_ports gty131_clk1_p_i]
#set_property PACKAGE_PIN J33 [get_ports gty131_clk1_n_i]

#set_property PACKAGE_PIN F34 [get_ports gty131_tx_p_o[1]]
#set_property PACKAGE_PIN F35 [get_ports gty131_tx_n_o[1]]

#set_property PACKAGE_PIN E41 [get_ports gty131_rx_p_i[1]]
#set_property PACKAGE_PIN E42 [get_ports gty131_rx_n_i[1]]

#set_property PACKAGE_PIN E36 [get_ports gty131_tx_p_o[0]]
#set_property PACKAGE_PIN E37 [get_ports gty131_tx_n_o[0]]

#set_property PACKAGE_PIN D39 [get_ports gty131_rx_p_i[0]]
#set_property PACKAGE_PIN D40 [get_ports gty131_rx_n_i[0]]

##################################################################################
#bank 68, 1V8, FMC nets.  Definining all as LVCMOS1V8 inputs for now....
##################################################################################

#set_property PACKAGE_PIN N15 [get_ports la19_n_i]
#set_property IOSTANDARD LVCMOS18 [get_ports la19_n_i]

#set_property PACKAGE_PIN P15 [get_ports la19_p_i]
#set_property IOSTANDARD LVCMOS18 [get_ports la19_p_i]

#set_property PACKAGE_PIN N16 [get_ports la20_n_i]
#set_property IOSTANDARD LVCMOS18 [get_ports la20_n_i]

#set_property PACKAGE_PIN P16 [get_ports la20_p_i]
#set_property IOSTANDARD LVCMOS18 [get_ports la20_p_i]

#set_property PACKAGE_PIN M16 [get_ports la21_n_i]
#set_property IOSTANDARD LVCMOS18 [get_ports la21_n_i]

#set_property PACKAGE_PIN M17 [get_ports la21_p_i]
#set_property IOSTANDARD LVCMOS18 [get_ports la21_p_i]

#set_property PACKAGE_PIN L15 [get_ports la22_n_i]
#set_property IOSTANDARD LVCMOS18 [get_ports la22_n_i]

#set_property PACKAGE_PIN M15 [get_ports la22_p_i]
#set_property IOSTANDARD LVCMOS18 [get_ports la22_p_i]

#set_property PACKAGE_PIN K15 [get_ports la23_n_i]
#set_property IOSTANDARD LVCMOS18 [get_ports la23_n_i]

#set_property PACKAGE_PIN K16 [get_ports la23_p_i]
#set_property IOSTANDARD LVCMOS18 [get_ports la23_p_i]

#set_property PACKAGE_PIN K17 [get_ports la24_n_i]
#set_property IOSTANDARD LVCMOS18 [get_ports la24_n_i]

#set_property PACKAGE_PIN L17 [get_ports la24_p_i]
#set_property IOSTANDARD LVCMOS18 [get_ports la24_p_i]

#set_property PACKAGE_PIN G15 [get_ports la25_n_i]
#set_property IOSTANDARD LVCMOS18 [get_ports la25_n_i]

#set_property PACKAGE_PIN H15 [get_ports la25_p_i]
#set_property IOSTANDARD LVCMOS18 [get_ports la25_p_i]

#set_property PACKAGE_PIN H16 [get_ports la26_n_i]
#set_property IOSTANDARD LVCMOS18 [get_ports la26_n_i]

#set_property PACKAGE_PIN J16 [get_ports la26_p_i]
#set_property IOSTANDARD LVCMOS18 [get_ports la26_p_i]

#set_property PACKAGE_PIN H18 [get_ports la27_n_i]
#set_property IOSTANDARD LVCMOS18 [get_ports la27_n_i]

#set_property PACKAGE_PIN J18 [get_ports la27_p_i]
#set_property IOSTANDARD LVCMOS18 [get_ports la27_p_i]

#set_property PACKAGE_PIN F17 [get_ports clk_m2c_n_i]
#set_property IOSTANDARD LVCMOS18 [get_ports clk_m2c_n_i]

#set_property PACKAGE_PIN F17 [get_ports clk_m2c_n_i]
#set_property IOSTANDARD LVCMOS18 [get_ports clk_m2c_n_i]

#set_property PACKAGE_PIN G17 [get_ports clk_m2c_p_i]
#set_property IOSTANDARD LVCMOS18 [get_ports clk_m2c_p_i]

#set_property PACKAGE_PIN F15 [get_ports la17_cc_n_i]
#set_property IOSTANDARD LVCMOS18 [get_ports la17_cc_n_i]

#set_property PACKAGE_PIN G16 [get_ports la17_cc_p_i]
#set_property IOSTANDARD LVCMOS18 [get_ports la17_cc_p_i]

#set_property PACKAGE_PIN D14 [get_ports la18_cc_n_i]
#set_property IOSTANDARD LVCMOS18 [get_ports la18_cc_n_i]

#set_property PACKAGE_PIN E15 [get_ports la18_cc_p_i]
#set_property IOSTANDARD LVCMOS18 [get_ports la18_cc_p_i]

#set_property PACKAGE_PIN B15 [get_ports la29_n_i]
#set_property IOSTANDARD LVCMOS18 [get_ports la29_n_i]

#set_property PACKAGE_PIN C15 [get_ports la29_p_i]
#set_property IOSTANDARD LVCMOS18 [get_ports la29_p_i]

#set_property PACKAGE_PIN D16 [get_ports la28_n_i]
#set_property IOSTANDARD LVCMOS18 [get_ports la28_n_i]

#set_property PACKAGE_PIN E16 [get_ports la28_p_i]
#set_property IOSTANDARD LVCMOS18 [get_ports la28_p_i]

#set_property PACKAGE_PIN D17 [get_ports la30_n_i]
#set_property IOSTANDARD LVCMOS18 [get_ports la30_n_i]

#set_property PACKAGE_PIN E17 [get_ports la30_p_i]
#set_property IOSTANDARD LVCMOS18 [get_ports la30_p_i]

#set_property PACKAGE_PIN A17 [get_ports la31_n_i]
#set_property IOSTANDARD LVCMOS18 [get_ports la31_n_i]

#set_property PACKAGE_PIN B17 [get_ports la31_p_i]
#set_property IOSTANDARD LVCMOS18 [get_ports la31_p_i]

#set_property PACKAGE_PIN C18 [get_ports la32_n_i]
#set_property IOSTANDARD LVCMOS18 [get_ports la32_n_i]

#set_property PACKAGE_PIN D18 [get_ports la32_p_i]
#set_property IOSTANDARD LVCMOS18 [get_ports la32_p_i]

#set_property PACKAGE_PIN A18 [get_ports la33_n_i]
#set_property IOSTANDARD LVCMOS18 [get_ports la33_n_i]

#set_property PACKAGE_PIN B18 [get_ports la33_p_i]
#set_property IOSTANDARD LVCMOS18 [get_ports la33_p_i]

##################################################################################
#bank 71, 1V8, FMC nets.  Definining all as LVCMOS1V8 inputs for now....
##################################################################################

#set_property PACKAGE_PIN N18 [get_ports la02_n_i]
#set_property IOSTANDARD LVCMOS18 [get_ports la02_n_i]

#set_property PACKAGE_PIN P18 [get_ports la02_p_i]
#set_property IOSTANDARD LVCMOS18 [get_ports la02_p_i]

#set_property PACKAGE_PIN L18 [get_ports la03_n_i]
#set_property IOSTANDARD LVCMOS18 [get_ports la03_n_i]

#set_property PACKAGE_PIN M18 [get_ports la03_p_i]
#set_property IOSTANDARD LVCMOS18 [get_ports la03_p_i]

#set_property PACKAGE_PIN L19 [get_ports la04_n_i]
#set_property IOSTANDARD LVCMOS18 [get_ports la04_n_i]

#set_property PACKAGE_PIN M20 [get_ports la04_p_i]
#set_property IOSTANDARD LVCMOS18 [get_ports la04_p_i]

#set_property PACKAGE_PIN N19 [get_ports la05_n_i]
#set_property IOSTANDARD LVCMOS18 [get_ports la05_n_i]

#set_property PACKAGE_PIN N20 [get_ports la05_p_i]
#set_property IOSTANDARD LVCMOS18 [get_ports la05_p_i]

#set_property PACKAGE_PIN N21 [get_ports la06_n_i]
#set_property IOSTANDARD LVCMOS18 [get_ports la06_n_i]

#set_property PACKAGE_PIN P21 [get_ports la06_p_i]
#set_property IOSTANDARD LVCMOS18 [get_ports la06_p_i]

#set_property PACKAGE_PIN M21 [get_ports la07_n_i]
#set_property IOSTANDARD LVCMOS18 [get_ports la07_n_i]

#set_property PACKAGE_PIN M22 [get_ports la07_p_i]
#set_property IOSTANDARD LVCMOS18 [get_ports la07_p_i]

#set_property PACKAGE_PIN J19 [get_ports la08_n_i]
#set_property IOSTANDARD LVCMOS18 [get_ports la08_n_i]

#set_property PACKAGE_PIN K19 [get_ports la08_p_i]
#set_property IOSTANDARD LVCMOS18 [get_ports la08_p_i]

#set_property PACKAGE_PIN K20 [get_ports la09_n_i]
#set_property IOSTANDARD LVCMOS18 [get_ports la09_n_i]

#set_property PACKAGE_PIN L20 [get_ports la09_p_i]
#set_property IOSTANDARD LVCMOS18 [get_ports la09_p_i]

#set_property PACKAGE_PIN J21 [get_ports la10_n_i]
#set_property IOSTANDARD LVCMOS18 [get_ports la10_n_i]

#set_property PACKAGE_PIN K21 [get_ports la10_p_i]
#set_property IOSTANDARD LVCMOS18 [get_ports la10_p_i]

#set_property PACKAGE_PIN H19 [get_ports clk1_m2c_n_i]
#set_property IOSTANDARD LVCMOS18 [get_ports clk1_m2c_n_i]

#set_property PACKAGE_PIN H20 [get_ports clk1_m2c_p_i]
#set_property IOSTANDARD LVCMOS18 [get_ports clk1_m2c_p_i]

#set_property PACKAGE_PIN G20 [get_ports la00_cc_n_i]
#set_property IOSTANDARD LVCMOS18 [get_ports la00_cc_n_i]

#set_property PACKAGE_PIN H21 [get_ports la00_cc_p_i]
#set_property IOSTANDARD LVCMOS18 [get_ports la00_cc_p_i]

#set_property PACKAGE_PIN F22 [get_ports la01_cc_n_i]
#set_property IOSTANDARD LVCMOS18 [get_ports la01_cc_n_i]

#set_property PACKAGE_PIN F23 [get_ports la01_cc_p_i]
#set_property IOSTANDARD LVCMOS18 [get_ports la01_cc_p_i]

#set_property PACKAGE_PIN C19 [get_ports la11_n_i]
#set_property IOSTANDARD LVCMOS18 [get_ports la11_n_i]

#set_property PACKAGE_PIN D19 [get_ports la11_p_i]
#set_property IOSTANDARD LVCMOS18 [get_ports la11_p_i]

#set_property PACKAGE_PIN B20 [get_ports la12_n_i]
#set_property IOSTANDARD LVCMOS18 [get_ports la12_n_i]

#set_property PACKAGE_PIN C20 [get_ports la12_p_i]
#set_property IOSTANDARD LVCMOS18 [get_ports la12_p_i]

#set_property PACKAGE_PIN A19 [get_ports la13_n_i]
#set_property IOSTANDARD LVCMOS18 [get_ports la13_n_i]

#set_property PACKAGE_PIN A20 [get_ports la13_p_i]
#set_property IOSTANDARD LVCMOS18 [get_ports la13_p_i]

#set_property PACKAGE_PIN B21 [get_ports la14_n_i]
#set_property IOSTANDARD LVCMOS18 [get_ports la14_n_i]

#set_property PACKAGE_PIN C21 [get_ports la14_p_i]
#set_property IOSTANDARD LVCMOS18 [get_ports la14_p_i]

#set_property PACKAGE_PIN A22 [get_ports la15_n_i]
#set_property IOSTANDARD LVCMOS18 [get_ports la15_n_i]

#set_property PACKAGE_PIN B22 [get_ports la15_p_i]
#set_property IOSTANDARD LVCMOS18 [get_ports la15_p_i]

#set_property PACKAGE_PIN A23 [get_ports la16_n_i]
#set_property IOSTANDARD LVCMOS18 [get_ports la16_n_i]

#set_property PACKAGE_PIN B23 [get_ports la16_p_i]
#set_property IOSTANDARD LVCMOS18 [get_ports la16_p_i]
